Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Browse files

0.7.9.7:

	Move build-id.tmp-making logic to make-config.sh, to facilitate
		cross-compilation
	Add a comment regarding *policy* rebinding.
  • Loading branch information...
commit 91392754bf1d241cd6913c728268caf18eae1485 1 parent 3eb39e0
@csrhodes csrhodes authored
View
5 make-config.sh
@@ -156,3 +156,8 @@ echo ')' >> $ltf
# cp base-version.txt $versionfile
# echo " (built `date -u` by `whoami`@`hostname`)" >> $versionfile
# echo 'This is a machine-generated file and should not be edited by hand.' >> $versionfile
+
+# Make a unique ID for this build (to discourage people from
+# mismatching sbcl and *.core files).
+echo '"'`hostname -s`-`whoami`-`date +%F-%H-%M-%S`'"' > output/build-id.tmp
+
View
4 make.sh
@@ -65,10 +65,6 @@ echo //SBCL_XC_HOST=\"$SBCL_XC_HOST\"
# and target machines.
sh make-config.sh || exit 1
-# Make a unique ID for this build (to discourage people from
-# mismatching sbcl and *.core files).
-echo '"'`hostname -s`-`whoami`-`date +%F-%H-%M-%S`'"' > output/build-id.tmp
-
# The make-host-*.sh scripts are run on the cross-compilation host,
# and the make-target-*.sh scripts are run on the target machine. In
# ordinary compilation, we just do these phases consecutively on the
View
8 src/compiler/target-main.lisp
@@ -61,6 +61,14 @@
(*last-format-args* nil)
(*last-message-count* 0)
(*gensym-counter* 0)
+ ;; KLUDGE: This rebinding of policy is necessary so that
+ ;; forms such as LOCALLY at the REPL actually extend the
+ ;; compilation policy correctly. However, there is an
+ ;; invariant that is potentially violated: future
+ ;; refactoring must not allow this to be done in the file
+ ;; compiler. At the moment we're clearly alright, as we
+ ;; call %COMPILE with a core-object, not a fasl-stream,
+ ;; but caveat future maintainers. -- CSR, 2002-10-27
(*policy* (lexenv-policy *lexenv*))
;; FIXME: ANSI doesn't say anything about CL:COMPILE
;; interacting with these variables, so we shouldn't. As
View
2  version.lisp-expr
@@ -18,4 +18,4 @@
;;; versions, especially for internal versions off the main CVS
;;; branch, it gets hairier, e.g. "0.pre7.14.flaky4.13".)
-"0.7.9.6"
+"0.7.9.7"
Please sign in to comment.
Something went wrong with that request. Please try again.